﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace xamloomba
{
    public partial class MyRoom : UserControl
    {
        public MyRoom()
        {
            InitializeComponent();
        }

        private void leftButton_Click(object sender, RoutedEventArgs e)
        {
            //左へ回転
            this.myLoomba.turnLeft.Begin();
        }
        private void rightButton_Click(object sender, RoutedEventArgs e)
        {
            //右へ回転
            this.myLoomba.turnRight.Begin();

        }
        private void startFlush_Click(object sender, RoutedEventArgs e)
        {
            //RepeatBehavior.Foreverを設定することにより、動作を永遠に続けます
            this.myLoomba.flushlight.RepeatBehavior = RepeatBehavior.Forever;
            //フラッシュを開始
            this.myLoomba.flushlight.Begin();
        }



        private void Border_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            //マウス位置を取得
            Point mouse = e.GetPosition(this.floor);
            //マウス位置は左上のため、中心点を取得
            Point dest = new Point(mouse.X - 50, mouse.Y - 50);
            //XamLoombaの移動
            this.myLoomba.Move(dest);
        }

    }
}
